Retrieve a list of reasons that can be used to report abusive videos.

**Quota impact:** A call to this method has a [quota cost](https://developers.google.com/youtube/data/getting-started.md.txt#quota) of 1 unit.

## Common use cases

<iframe src="https://developers.devsite.google/frame/youtube/data/reference/rest/v3/videoAbuseReportReasons/list_ffcf662142a6efe7e2839c0cff31832adbd36d2cff786fb9ae1bb5d866694fac.frame" class="framebox inherit-locale " allow="clipboard-write https://developers.devsite.google" allowfullscreen is-upgraded></iframe>

## Request

### HTTP request

```
GET https://www.googleapis.com/youtube/v3/videoAbuseReportReasons
```

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://developers.google.com/youtube/data/guides/authentication.md.txt)).

| Scope |
|---|
| `https://www.googleapis.com/auth/youtube` |
| `https://www.googleapis.com/auth/youtube.force-ssl` |
| `https://www.googleapis.com/auth/youtube.readonly` |

### Parameters

The following table lists the parameters that this query supports. All of the parameters listed are query parameters.

| Parameters ||
|---|---|---|
| **Required parameters** |||
| `part` | `string` The `part` parameter specifies the `videoAbuseReportReason` resource parts that the API response will include. Supported values are `id` and `snippet`. |
| **Optional parameters** |||
| `hl` | `string` The `hl` parameter specifies the language that should be used for text values in the API response. The default value is `en_US`. |

### Request body

Do not provide a request body when calling this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "youtube#videoAbuseReportReasonListResponse",
  "etag": etag,
  "items": [
    videoAbuseReportReason resource
  ]
}
```

### Properties

The following table defines the properties that appear in this resource:

| Properties ||
|---|---|
| `kind` | `string` Identifies the API resource's type. The value will be `youtube#videoAbuseReportReasonListResponse`. |
| `etag` | `etag` The Etag of this resource. |
| `items[]` | `list` A list of `videoAbuseReportReason` resources, each of which identifies a reason that a video might be reported for containing abusive content. Use this information when calling the `videos.reportAbuse` method to actually report videos that contain abusive content. |

## Errors

The following table identifies error messages that the API could return in response to a call to this method. Please see the [error message](https://developers.google.com/youtube/data/reference/rest/v3/errors.md.txt) documentation for more detail.

| Error type | Error detail | Description |
|---|---|---|
| `forbidden (403)` | `forbidden` |   |

## Try it!

Use the APIs Explorer to call this API and see the API request and response.